function fCancelar(){
	FrmCls("Dni");
	//---------------------------------------------
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="L";
	//document.getElementById("Frm").submit();
}
//
function flNuevo(){
	SM("L");
}
function HorDin(){
	var id=gv("TxtId");
	var vig=gv("TXT_VIG");
	if(jVal(id)>0){
		if(vig=="NO"){
			Ow("neu_horarios_dim.php?ID="+id,750,420);		
		}else{
			if(jVal(gv("TXT_HOR_DET"))==0){
				alert("El presente registro no presenta horario dinamico");
			}else{
				Ow("neu_horarios_dim.php?ID="+id,750,420);		
			}
		}
	}else{
		alert("No se puede determinar el id del registro activo, primero guarde y luego active un registro");
	}
}
//
function PerSel(){
	Ow("neu_personal_sel.php?W=PER_ASI",770,570);
}
//
function fGuardar(){
	var id=gv("TxtId");
	var dni=gv("Dni");
	var nom=gv("Nom");
	var fec=gv("Fec");
	var tie2=gv("Tie2");
	var hi=gv("Hin");
	var ai=gv("Api");
	var hs=gv("Hsa");
	var as=gv("Aps");
	var ti=gv("Tipo");
	var mo=gv("Mot");
	var des=gv("Dia");
	var vig=gv("TXT_VIG");
	//
	if(jVac(dni,"Ingrese el numero de dni","Dni"))return;
	if(jVac(nom,"No se puede determinar el nombre del personal, ingrese el dni y presione enter","Dni"))return;
	if(jVac(ti,"Seleccion el tipo de horario","Tipo"))return;	
	if(jFec(fec,"Ingrese un fecha (dd-mm-yy)","Fec"))return;
	if(jVac(tie2,"Seleccione una tienda","Tie2"))return;
	if(jVac(hi,"Asigne una hora de ingreso","Hin"))return;
	if(jVac(ai,"Asigne una hora de ingreso (am/pm)","Api"))return;
	if(jVac(hs,"Asigne una hora de salida","Hsa"))return;
	if(jVac(as,"Asigne una hora de salida (am/pm)","Aps"))return;
	if(ti=="PROVISIONAL"){
		if(jL(des)>0){
			return AF("Debido a que es un horario provisional no corresponde un dia de descanso","Dia");
		}
		if(jVac(mo,"Seleccione el motivo del horario provisional","Mot"))return;
	}
	//
	if(gv("CmdG")=="Guardar"){
		if(pre("Esta seguro que desea guardar")){
			SM("G");
		}
	}else{
		if(vig=="SI"){
			return AF("El presente horario se encuentra vigente por lo tanto no se puede modificar","Dni");
		}
		if(pre("Esta seguro que desea modificar")){
			SM("M");
		}
	}
}
//
function cDniEx(){
	var d=gv("Dni");
	var r=AX("100",d);
	r=r.split("|");
	if(r[1]=="X"){
		return AF("Numero de dni no registrado","Dni");
	}else{
		sv("Nom",r[1]);
		sv("Car",r[2]);	
		sv("Fun",r[3]);
		sv("Cel",r[4]);
		sv("Fin",r[5]);
		sv("Tie1",r[6]);
		sv("Tie2",r[6]);
		jF("Tipo");
	}
}
//
function cDni(e){
	var k=(document.all) ? e.keyCode :e.which;	
	if(k==13){
		var d=gv("Dni");
		svv("Nom,Car,Fun,Cel,Fin,Tie1");
		if(jL(d)==0){
			return AF("Ingrese el numero de DNI","Dni");
		}
		cDniEx();
		
	}
}
function flEliminar(){
	var id=gv("TxtId");
	var vig=gv("TXT_VIG");
	if(vig=="SI"){
		return AF("El presente horario se encuentra vigente por lo tanto no se puede eliminar","Dni");
	}
	if(pre("Esta seguro que desea eliminar")){
		SM("E");
	}
}